get
https://payment-api-service.transactpay.ai/payout/requery?clientReference=clientReference
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Response
{
"Data": {
"PayoutReference": "PGW-PAYOUT-B6D146AFADCD47089FF5FD51DB68852D",
"ProductName": "Payout",
"Amount": 30,
"StatusId": 5,
"Status": "Successful",
"PayoutResponseCode": "00",
"PayoutResponseMessage": "Transaction successful",
"Narration": "Test",
"Currency": "NGN",
"Fee": 10.75,
"DateCreated": "2026-02-24T08:22:21.000836",
"DateUpdated": "2026-02-24T08:23:39.1565075+00:00",
"SessionId": "999999260224092331604882697943"
},
"Status": "Success",
"StatusCode": "00",
"Message": "Payout Successful"
}Possible Status IDs and their statuses
The StatusID represents the current state of a transaction in its lifecycle.
| StatusID | Status | Description |
|---|---|---|
1 | Initiated | Payout request has been created. |
2 | Pending | Payout is awaiting processing. |
3 | Processing | Payout is currently being processed. |
4 | Failed | Payout failed permanently. |
5 | Successful | Payout completed successfully. |
6 | Awaiting Approval | Payout is awaiting first-level approval. |
7 | Awaiting Verification | Payout is awaiting verification checks. |
8 | Rejected | Payout was rejected during approval/verification. |
9 | Reversed | Payout was reversed after processing. |
10 | Awaiting Second Level Approval Verification | Payout is awaiting second-level approval. |
11 | Failed(pending confirmation) | Payout failed but still awaiting final confirmation. |
12 | Failed(retriggered) | Payout previously failed and has been retriggered. |
200